
Redmine - Defect #12752

custom field is 'user', and 'multiple values' is checked, then view  issue will crash

2013-01-06 10:25 - boo lee

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.0

Description

the log:

Started GET "/issues/1524" for 111.120.15.194 at Sun Jan 06 17:04:14 +0800 2013

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"1524"}

  Current user: huanglijuan (id=10)

  Rendered issues/_action_menu.html.erb (25.7ms)

  Rendered issues/show.html.erb within layouts/base (121.9ms)

Completed 500 Internal Server Error in 447ms

ActionView::Template::Error (undefined method `to_i' for ["10"]:Array):

    64:     rows.right l(:label_spent_time), (@issue.total_spent_hours > 0 ? (link_to l_hours(@iss

ue.total_spent_hours), {:controller => 'timelog', :action => 'index', :project_id => @project, :is

sue_id => @issue}) : "-"), :class => 'spent-time'

    65:   end

    66: end %>

    67: <%= render_custom_fields_rows(@issue) %>

    68: <%= call_hook(:view_issues_show_details_bottom, :issue => @issue) %>

    69: </table>

    70: 

  lib/redmine/custom_field_format.rb:55:in `format_as_user'

  lib/redmine/custom_field_format.rb:36:in `send'

  lib/redmine/custom_field_format.rb:36:in `format'

  lib/redmine/custom_field_format.rb:101:in `format_value'

  app/helpers/issues_helper.rb:160:in `render_custom_fields_rows'

  app/helpers/issues_helper.rb:158:in `each'

  app/helpers/issues_helper.rb:158:in `render_custom_fields_rows'

  app/views/issues/show.html.erb:67:in `_app_views_issues_show_html_erb__1031787362_69887511903920

'

  app/controllers/issues_controller.rb:119:in `show'

  app/controllers/issues_controller.rb:116:in `show'

History

#1 - 2013-01-08 19:00 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works for me. Multiple users are displayed as a comma separated list. Are you using a fresh code base without plugins ?

#2 - 2013-01-09 10:18 - boo lee

- Status changed from New to Resolved

#3 - 2013-01-09 17:16 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
